part of xgeneraldecoration;

class XStyles {
  /// fontSize 40
  static TextStyle xStyTextForVeryLargeTitle([Color? textColor]) {
    return TextStyle(fontSize: 40, color: textColor ?? Colors.white);
  }

  /// fontSize 24
  static TextStyle xStyTextForLargeTitle([Color? textColor]) {
    return TextStyle(fontSize: 24, color: textColor ?? Colors.white);
  }

  /// fontSize 22
  static TextStyle xStyTextForTitle([Color? textColor]) {
    return TextStyle(fontSize: 22, color: textColor ?? Colors.white);
  }

  /// fontSize 20
  static TextStyle xStyTextForLabel([Color? textColor]) {
    return TextStyle(fontSize: 20, color: textColor ?? Colors.white);
  }

  /// fontSize 18
  static TextStyle xStyTextForTextBase([Color? textColor]) {
    return TextStyle(fontSize: 18, color: textColor ?? Colors.white);
  }

  /// fontSize 17
  static TextStyle xStyTextForSubLabel([Color? textColor]) {
    return TextStyle(fontSize: 17, color: textColor ?? Colors.white);
  }

  /// fontSize 16
  static TextStyle xStyTextForDescr([Color? textColor]) {
    return TextStyle(fontSize: 16, color: textColor ?? Colors.white);
  }

  /// fontSize 15
  static TextStyle xStyTextForSubDescr([Color? textColor]) {
    return TextStyle(fontSize: 15, color: textColor ?? Colors.white);
  }

  static TextStyle xStyleText({Color? colorText, double? fontSize, bool? activeBold = false, double? letterSpacing}) {
    return TextStyle(color: colorText ?? XColors.xcolor_ForegroundLight, fontSize: fontSize ?? 18, fontWeight: activeBold == false ? null : FontWeight.bold, letterSpacing: letterSpacing ?? 0);
  }
}
